Subject: Re: Cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: Kalkoul Morad <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 13 Mar 2001 02:31:22 +0100

<Am 2001-03-12 18:08 wars, als Kalkoul Morad schrieb:>
< Cygwin >

Hi Kalkoul,

> 	I've read in Cygwin Archives that you you have already installed
> Cygwin and that you have had some problems with Inetd. I would like to say
> how start my Inetd on my Cygwig.
> Today I've installed Cygwig on an Nt Server. I generated with iu-config
> /etc/inetd.conf and some but there is  any /etc/services . How obtain tihs
> files and how start inetd to do telnet and FTP.

This is from the readme-file in /usr/doc/cygwin/inetutils...

Read the rest, there are more infos, too.
 
The important features in brief
================================

- inetd:

  Under W9X inetd can be started from a shell prompt or from the
  autostart folder.

  Under NT/W2K inetd must be started from service manager. It
  must not be started via SRVANY but it has two new options
  to install or remove it as service:

        inetd --install-as-service
        inetd --remove-as-service

  When you already have an older version of inetd installed,
  please remove the service before installing the new one.
  
  After you have installed inetd it will be started automatically
  on reboot. Manually starting and stopping is possible via

        net start inetd
        net stop inetd

  Current caveat: inetd is visible twice in the process list.
  This is currently needed to work correctly with the service
  manager. This should be solved in a future release.

  If you don't start inetd as service under LocalSystem but under
  another account, you have to care that that account has several
  user rights set in the user manager resp. local/domain security
  policy mmc snap in:
        "Act as part of the operating system"
        "Replace process level token"
        "Increase quotas"
        "Logon as a service"
  Note that administrators do not have all that user rights set
  by default!

  For all application started via NT/W2K service manager under 
  LocalSystem account, the following restrictions apply:

  - The environment variable CYGWIN must be either set in the system
    environment to be active from start on or you can set CYGWIN thru
    the registry:
    Under the key HKLM\Software\Cygnus Solutions\Cygwin\Program Options
    create a key of type REG_SZ (String) named like the full DOS path
    to the application, eg. "C:\usr\bin\inetd.exe" and with the value
    equal to the preferred CYGWIN settings, eg "binmode tty ntsec".

  - The system environment variable PATH must contain the path
    to the directory which contains the cygwin1.dll.

  - No user mount point is valid anymore! You have to install all
    your mount points in the system mount table. This doesn't
    change after you have logged in to a normal user account eg.
    via telnet/rlogin. It's possible that we can use the user
    mounts as soon as somebody contributes a patch to login and
    ftp that allows loading a user hive into the registry after
    authentication.

-- 
=^..^= [email-masked]
PGP-Key: 0x28A05137 [875C 745E 01CF 8A34 2767  BE39 305E 5261 28A0 5137]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple